Page MenuHome

The property fill tool (GP) at lower resolution is not displayed
Closed, ResolvedPublic

Description

System Information
Operating system: Ubuntu 18.04.1 LTS
Graphics card: GeForce GTX 750 Ti/PCIe/SSE2

Blender Version
version: 2.80 (sub 43), branch: blender2.7, commit date: 2019-02-01 22:37, hash: a3bf8da8758f, type: Release
build date: 2019-02-02, 01:03:21

Short description of error
In my screen resolution (1280x720), when using the fill tool in gpencil the properties of it disappear from the upper bar. This does not happen when:
I increase the screen resolution.
Decrease Resolution Scale in the blender properties.

Exact steps for others to reproduce the error
Open blender in 1280x720 resolution
File > New > 2d Animation
Select the Fill tool.

Details

Type
Bug

Event Timeline

Antonio Vazquez (antoniov) lowered the priority of this task from Needs Triage by Developer to Confirmed, Low.Feb 2 2019, 9:27 AM

This is a problem with the size of topbar, not only a grease pencil problem.

@Campbell Barton (campbellbarton) Have you seen this problem? If the topbar is too wide, it's not visible.

We are working in a patch to move some topbar fill options to popover to reduce the width, so we can fix this, but this not solve the real Topbar problem.

@Charlie Jolly (charlie) We must think in moving the popover idea from gp-branch to master. Maybe we could move the current master options now, and later add the others. What do you think?

There is an underlying UI issue. We can move options to a popover but I tested it and the options don’t display in the side panel.

@William Reynish (billreynish) are you aware of this issue too and how Blender should deal with it.

This is a known issue that should definitely be fixed. When there’s not enough space in the top bar, all the content just disappears. We could start by making it work like the headers, where things just start to scroll.

This was fixed quite a while ago.
But I'll let the Mod Mafia close as resolved :)